Subject: Re: bug#18195: 24.3.92; window-screen-lines is not accurate

From: martin rudalics <[email-masked]>
Date: Thu, 07 Aug 2014 17:08:36 +0200

> I obviously fail to explain to you why this will not work in general.
 > Never mind.

If by "in general" you mean that he won't be able to align his overlays
properly with varying font sizes, prefixes, line warping and the like if
he continues to use the original text, I obviously agree.

My point is that he can have a large overlay replace the original text
with the same text minus any unwanted side-effects introduced by text
properties, fonts, or other overlays.  Within that overlay he can then
additioanlly show whatever his original overlays were supposed to show.

Whether this is nice is a different issue.  But since he wants to draw
some text arbitrarily over some other text anyway, this sounds like a
neglible inconvenience to me.

martin